#!/usr/bin/env python3
from healthcheck import HealthCheck
from flask import Flask


def dummy_health_check():
    return True, "very good"


def register_health_checks(app: Flask):
    health = HealthCheck()
    health.add_check(dummy_health_check)
    app.add_url_rule("/healthz", "healthcheck", view_func=lambda: health.run())
